POST api/v1/agencies
Request Information
URI Parameters
None.
Body Parameters
RegistrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ContactName | string |
Required |
|
| ContactSurname | string |
Required |
|
| ContactEmail | string |
Required |
|
| OrganisationPhone | string |
Required Data type: PhoneNumber Matching regular expression pattern: ([0-9\-\+\(\) ]+) |
|
| OrganisationEmail | string |
Required Data type: EmailAddress Matching regular expression pattern: ([a-zA-Z0-9_\+\-\.'`]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3}) |
|
| OrganisationName | string |
Required |
|
| OrganisationSuburb | integer |
Required |
|
| OrganisationABN | string |
Required String length: inclusive between 0 and 50 |
|
| OrganisationServiceFocus | integer |
Required |
|
| OrganisationDescription | string |
Required |
|
| ContactGroups | Collection of integer |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"contactName": "sample string 1",
"contactSurname": "sample string 2",
"contactEmail": "sample string 3",
"organisationPhone": "sample string 4",
"organisationEmail": "sample string 5",
"organisationName": "sample string 6",
"organisationSuburb": 7,
"organisationABN": "sample string 8",
"organisationServiceFocus": 9,
"organisationDescription": "sample string 10",
"contactGroups": [
1,
2
]
}
application/xml, text/xml
Sample:
<RegistrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
<ContactEmail>sample string 3</ContactEmail>
<ContactGroups xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</ContactGroups>
<ContactName>sample string 1</ContactName>
<ContactSurname>sample string 2</ContactSurname>
<OrganisationABN>sample string 8</OrganisationABN>
<OrganisationDescription>sample string 10</OrganisationDescription>
<OrganisationEmail>sample string 5</OrganisationEmail>
<OrganisationName>sample string 6</OrganisationName>
<OrganisationPhone>sample string 4</OrganisationPhone>
<OrganisationServiceFocus>9</OrganisationServiceFocus>
<OrganisationSuburb>7</OrganisationSuburb>
</RegistrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |